# Close a Financial Account

Closes a FinancialAccount with or without forwarding settings.

## Request

```curl
curl -X POST https://api.stripe.com/v2/money_management/financial_accounts/fa_65NvTFNdpXXUx1kx1rB16NoTesLDSQ1IgNPigisRKq09iq/close \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-08-26.preview" \
  --json '{
    "forwarding_settings": {
        "payout_method": "fa_65Nyg0pdsXOSN32kkjg16Nr2cJ8cSQabKn4q38nZ59E50y",
        "payment_method": "fa_65Nyg0pdsXOSN32kkjg16Nr2cJ8cSQabKn4q38nZ59E50y"
    }
  }'
```

### Response

```json
{
  "id": "fa_65NvTFNdpXXUx1kx1rB16NoTesLDSQ1IgNPigisRKq09iq",
  "object": "v2.money_management.financial_account",
  "balance": {
    "available": {
      "usd": {
        "value": 0,
        "currency": "usd"
      }
    },
    "inbound_pending": {
      "usd": {
        "value": 0,
        "currency": "usd"
      }
    },
    "outbound_pending": {
      "usd": {
        "value": 0,
        "currency": "usd"
      }
    }
  },
  "country": "US",
  "created": "2025-06-27T21:52:05.197Z",
  "display_name": "Sample FinancialAccount",
  "livemode": true,
  "metadata": null,
  "other": null,
  "status": "closed",
  "storage": {
    "holds_currencies": [
      "usd"
    ]
  },
  "type": "storage"
}
```

## Parameters

- [`forwarding_settings`](https://docs.stripe.com/api/v2/money-management/financial-accounts/close.md?query=forwarding_settings&api-version=2026-08-26.preview) (object, optional)
  The addresses to forward any incoming transactions to.

## Returns

Returns a [Financial Account object](https://docs.stripe.com/api/v2/money-management/financial-accounts/object.md?api-version=2026-08-26.preview).

## Error Codes

| HTTP status code | Code | Description |
| --- | --- | --- |
| 400 | closing_financial_account_with_non_zero_balances | Error thrown if a user tries to close an account that has non-zero balances. |
| 400 | financial_account_already_closed | Error thrown if a user tries to close an account that is already closed. |
| 400 | financial_account_close_requires_forwarding_financial_account | Closing a savings Financial Account requires a forwarding Financial Account of type storage. |
| 400 | financial_account_in_forwarding_settings_required | In the EU, closing a Financial Account with forwarding settings requires supplying another Financial Account. |
| 400 | financial_account_operation_unsupported_for_type | Operation not supported on Financial Accounts with this type. |
| 400 | unsupported_operation_on_managed_financial_account_resource | Modification of an object is not allowed on a managed account. |
| 404 | not_found | The resource wasn’t found. |
| 409 | idempotency_error | An idempotent retry occurred with different request parameters. |
